Debian Bug report logs - #477838
bluez-utils: hidd is deprecated, use "input service" instead

version graph

Package: bluez-utils; Maintainer for bluez-utils is Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>; Source for bluez-utils is src:bluez.

Reported by: Phil Endecott <spam_from_debian_bugs_4@chezphil.org>

Date: Fri, 25 Apr 2008 16:06:02 UTC

Severity: wishlist

Found in version bluez-utils/3.30-3

Fixed in version bluez-utils/3.36-1exp1

Done: Filippo Giunchedi <filippo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#477838; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Phil Endecott <spam_from_debian_bugs_4@chezphil.org>:
New Bug report received and forwarded. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Phil Endecott <spam_from_debian_bugs_4@chezphil.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bluez-utils: hidd is deprecated, use "input service" instead
Date: Fri, 25 Apr 2008 16:59:20 +0100
Package: bluez-utils
Version: 3.30-3
Severity: wishlist


This report is based on the following message from the bluez users mailing list:
http://thread.gmane.org/gmane.linux.bluez.user/13828/focus=13831

I had set up my bluetooth keyboard based on the instructions in 
/usr/share/doc/bluez-utils/README.Debian, i.e. starting hidd --server by enabling it in 
/etc/default/bluetooth, running hcitool scan, and then hidd --conect <addr>.  This method is 
now deprecated; instead we should use something called the "input service" over dbus.  See 
the following page, which contains examples of dbus-send commands to do this:
http://wiki.bluez.org/wiki/HOWTO/InputDevices

As a humble user, it looks to me as if the old commands were much mmore usable.  However, 
the bluez developers no doubt have their reasons for this change and the Debian package will 
inevitably have to adapt eventually when the old commands change from being "deprecated" to 
"gone".

I have not actually tried any of these new dbus-send commands myself....

Phil.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.25
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages bluez-utils depends on:
ii  dbus                          1.2.1-1    simple interprocess messaging syst
ii  libbluetooth2                 3.30-1     Library to use the BlueZ Linux Blu
ii  libc6                         2.7-10     GNU C Library: Shared libraries
ii  libdbus-1-3                   1.2.1-1    simple interprocess messaging syst
ii  libglib2.0-0                  2.12.4-2   The GLib library of C routines
ii  libusb-0.1-4                  2:0.1.12-2 userspace USB programming library
ii  lsb-base                      3.2-10     Linux Standard Base 3.2 init scrip
ii  makedev                       2.3.1-80   creates device files in /dev
ii  module-init-tools             3.2.2-2    tools for managing Linux kernel mo
ii  udev                          0.103-1    /dev/ and hotplug management daemo

Versions of packages bluez-utils recommends:
pn  bluez-audio                   <none>     (no description available)

-- no debconf information





Information stored:
Bug#477838; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 477838-quiet@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: smartphones-userland@linuxtogo.org
Cc: 482081-quiet@bugs.debian.org, 477838-quiet@bugs.debian.org, control@bugs.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Subject: bluetooth input stuff in Debian
Date: Thu, 04 Sep 2008 21:22:28 +0200
[Message part 1 (text/plain, inline)]
user pkg-fso-maint@lists.alioth.debian.org
usertag 482081 + bluetooth
usertag 477838 + bluetooth
thanks

Hi,

while trying to get remoko[1] to work on Debian, I always stumbled about
this error message:

dbus.exceptions.DBusException: org.freedesktop.DBus.Error.UnknownMethod:
Method "IsRunning" with signature "" on interface "org.bluez.Service"
doesn't exist

Skipping some lenghty googling and trying around, here is what I found
out:

Debian’s bluez-utils ships a daemon called hidd for HID interaction.
This has been deprecated upstream in favour of a file
called /usr/lib/bluetooth/bluetoothd-service-input which then provides
dbus functionality.[2]

There are two uncommented bug reports open about this:
#482081 (important) asks for the inclusion of all these plugins
#477838 (wishlist) asks for just service-input.
Both are more than three months old.

Ubuntu has had these enabled since January[3]. OpenEmbedded has them,
and some google results indicated that RedHat has them as well.

bluez-utils is actively maintained, at least there have been uploads
recently. Unfortunaltey, I could not find any message from the
maintenance team as to why the Debian package does not support this yet.

Dear bluez maintainers, would it be possible to include these plugins in
a near upload of bluez-utils, possible to experimental? You’d do us a
favor!

Thanks,
Joachim

[1] http://wiki.openmoko.org/wiki/Openmoko_Bluetooth_remote_controller
[2] http://lists.alioth.debian.org/pipermail/pkg-bluetooth-maintainers/2008-February/001450.html
[3] http://changelogs.ubuntu.com/changelogs/pool/main/b/bluez-utils/bluez-utils_3.26-0ubuntu6/changelog
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#477838; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 477838-quiet@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: smartphones-userland@linuxtogo.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>, 477838-quiet@bugs.debian.org, 482081-quiet@bugs.debian.org
Subject: Re: [Pkg-bluetooth-maintainers] bluetooth input stuff in Debian
Date: Sat, 6 Sep 2008 15:25:34 +0200
[Message part 1 (text/plain, inline)]
On Thu, Sep 04, 2008 at 09:22:28PM +0200, Joachim Breitner wrote:
[snip]
> bluez-utils is actively maintained, at least there have been uploads
> recently. Unfortunaltey, I could not find any message from the
> maintenance team as to why the Debian package does not support this yet.
> 
> Dear bluez maintainers, would it be possible to include these plugins in
> a near upload of bluez-utils, possible to experimental? You’d do us a
> favor!

3.36-1exp1 is on its way to experimental, it includes plugins and should work as
advertised, please test!

thanks,
filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

Date: Tuesday, 2002/10/22 - 08:09
dselect proves the existence of Satan. It's the worst part of Debian.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Filippo Giunchedi <filippo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Phil Endecott <spam_from_debian_bugs_4@chezphil.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 477838-close@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: 477838-close@bugs.debian.org
Subject: Bug#477838: fixed in bluez-utils 3.36-1exp1
Date: Sat, 06 Sep 2008 13:32:03 +0000
Source: bluez-utils
Source-Version: 3.36-1exp1

We believe that the bug you reported is fixed in the latest version of
bluez-utils, which is due to be installed in the Debian FTP archive:

bluetooth_3.36-1exp1_all.deb
  to pool/main/b/bluez-utils/bluetooth_3.36-1exp1_all.deb
bluez-audio_3.36-1exp1_amd64.deb
  to pool/main/b/bluez-utils/bluez-audio_3.36-1exp1_amd64.deb
bluez-cups_3.36-1exp1_amd64.deb
  to pool/main/b/bluez-utils/bluez-cups_3.36-1exp1_amd64.deb
bluez-pcmcia-support_3.36-1exp1_amd64.deb
  to pool/main/b/bluez-utils/bluez-pcmcia-support_3.36-1exp1_amd64.deb
bluez-utils_3.36-1exp1.diff.gz
  to pool/main/b/bluez-utils/bluez-utils_3.36-1exp1.diff.gz
bluez-utils_3.36-1exp1.dsc
  to pool/main/b/bluez-utils/bluez-utils_3.36-1exp1.dsc
bluez-utils_3.36-1exp1_amd64.deb
  to pool/main/b/bluez-utils/bluez-utils_3.36-1exp1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 477838@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Filippo Giunchedi <filippo@debian.org> (supplier of updated bluez-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 06 Sep 2008 14:40:16 +0200
Source: bluez-utils
Binary: bluez-utils bluez-pcmcia-support bluez-cups bluez-audio bluetooth
Architecture: source all amd64
Version: 3.36-1exp1
Distribution: experimental
Urgency: low
Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Changed-By: Filippo Giunchedi <filippo@debian.org>
Description: 
 bluetooth  - Bluetooth stack utilities
 bluez-audio - Bluetooth audio support
 bluez-cups - Bluetooth printer driver for CUPS
 bluez-pcmcia-support - PCMCIA support files for BlueZ 2.0 Bluetooth tools
 bluez-utils - Bluetooth tools and daemons
Closes: 477838 482081
Changes: 
 bluez-utils (3.36-1exp1) experimental; urgency=low
 .
   * Fix disabling of plugins (debian/patches/001_fix_plugin_disabling.diff)
   * Install plugins, replacing external daemons. Add entry in NEWS.Debian.
     (Closes: #482081, #477838)
   * Ship /etc/bluetooth/main.conf with examples for disabling plugins.
   * Do not use absolute names in postinst, fix lintian warning.
Checksums-Sha1: 
 5b01819b210d7b13f0e347dabb14d9fcaaedd549 1643 bluez-utils_3.36-1exp1.dsc
 dffc4223e533e5258e73e1086477a25f67f8d207 22012 bluez-utils_3.36-1exp1.diff.gz
 0009853eee94bb398f8d89503b1db07a13f8ef26 22634 bluetooth_3.36-1exp1_all.deb
 c8226e64c610d867939738d31c0e51dc972b9f3e 400430 bluez-utils_3.36-1exp1_amd64.deb
 dd8ea00d3eb0c2b9df3c4615147cfe14666c5dd5 24274 bluez-pcmcia-support_3.36-1exp1_amd64.deb
 25240d863ddea843a000cff425f06a7f255af98e 39914 bluez-cups_3.36-1exp1_amd64.deb
 1dbb39ed410d5c3460eb8d39d86b9c18b071b16a 136972 bluez-audio_3.36-1exp1_amd64.deb
Checksums-Sha256: 
 4772d66d96f5f36a511edf7753709bc9d13238d56dd04ae863c144fc8a95767b 1643 bluez-utils_3.36-1exp1.dsc
 70f7f8eb1a3f5d481639d95c5f63a522d3ceb91b9e1a52b2f6f7372338f2d43d 22012 bluez-utils_3.36-1exp1.diff.gz
 fa315687500c6f740704f278b314e43f21e83ccf1b3029f3234331df88edc8e5 22634 bluetooth_3.36-1exp1_all.deb
 f514e97ad203d3a11d147f08988cab912aedf44daad982cd0627bdb52c6942d8 400430 bluez-utils_3.36-1exp1_amd64.deb
 66dce3a9c33b70691ec1a38c48e8fbf6dfdd72d038f75bdf1c643ebaf2fc272d 24274 bluez-pcmcia-support_3.36-1exp1_amd64.deb
 4bfe84699a77b3aac1109cb15aef9a75c50c45c52137f0e6b32026552d23baa0 39914 bluez-cups_3.36-1exp1_amd64.deb
 87193e307e6cc644d6c81fa3303eb40d717e29cfee25800a58534351ead2a6a8 136972 bluez-audio_3.36-1exp1_amd64.deb
Files: 
 b55c12214a2cbb0c40c1bb968ed1c8b5 1643 admin optional bluez-utils_3.36-1exp1.dsc
 2231cd41561042a632930307e914a301 22012 admin optional bluez-utils_3.36-1exp1.diff.gz
 94579a19341735aea7d6aafeb92463d6 22634 admin optional bluetooth_3.36-1exp1_all.deb
 6dd4402d928657a574516dc0322a12fb 400430 admin optional bluez-utils_3.36-1exp1_amd64.deb
 2cd0d9586d4d52c55550444a7254b687 24274 admin extra bluez-pcmcia-support_3.36-1exp1_amd64.deb
 c42f99d83b69c711ca0b4c0cf033b146 39914 admin optional bluez-cups_3.36-1exp1_amd64.deb
 b1e20a0ef43daf20eebd13bb39cda2d7 136972 admin optional bluez-audio_3.36-1exp1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjCg9wACgkQABzeamt51AEZxACg0OVwfZQq2x2GMbtDUE2TKDQZ
15cAnAlpzeXbUfDAqc+fu1k5lkjxJAI2
=jAy+
-----END PGP SIGNATURE-----





Information stored:
Bug#477838; Package bluez-utils. Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #25 received at 477838-quiet@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Cc: 477838-quiet@bugs.debian.org, 482081-quiet@bugs.debian.org, smartphones-userland@linuxtogo.org
Subject: Re: bluetooth input stuff in Debian
Date: Sat, 06 Sep 2008 16:19:47 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Samstag, den 06.09.2008, 15:25 +0200 schrieb Filippo Giunchedi:
> On Thu, Sep 04, 2008 at 09:22:28PM +0200, Joachim Breitner wrote:
> [snip]
> > bluez-utils is actively maintained, at least there have been uploads
> > recently. Unfortunaltey, I could not find any message from the
> > maintenance team as to why the Debian package does not support this yet.
> > 
> > Dear bluez maintainers, would it be possible to include these plugins in
> > a near upload of bluez-utils, possible to experimental? You’d do us a
> > favor!
> 
> 3.36-1exp1 is on its way to experimental, it includes plugins and should work as
> advertised, please test!

that was fast, thanks. Now I only wish we had an armel autobuilder for
experimental.

Maybe I’ll put a qemu build in the pkg-fso repository, when I’ll try
again to get remoko running.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Aug 2009 07:28:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:44:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.